import greenfoot.*;  
public class Board extends World {  

    public Board() {    
       super(8, 5, 60);
    }
    
    public void mark(Piece piece, int x, int y) {
        addObject(new Mark(piece, getCellSize()), x, y);
    }
    
    public boolean thereisNotAnyMark() {
        return getObjects(Mark.class).size() == 0;
    }
        
    public class Mark extends Actor {
        private Piece piece;
        
        public Mark(Piece piece, int size) {
            this.piece = piece;
            GreenfootImage image = new GreenfootImage(size, size);
            image.setColor(Color.BLUE);
            image.drawRect(2, 2, size - 5, size - 5);
            image.drawRect(3, 3, size - 7, size - 7);
            image.drawRect(4, 4, size - 9, size - 9);
            setImage(image);
        }
        
        public void act() {
            if ( Greenfoot.mouseClicked(this) ) { 
                removeObjects(getObjectsAt(getX(),getY(),Piece.class));
                piece.setLocation(getX(),getY());
                removeObjects(getObjects(Mark.class));
            }
        }
    }
}

